cgCallStateValidateCallback(3)

NAME
cgCallStateValidateCallback - calls the state validation callback function for a state assignment

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgCallStateValidateCallback( CGstateassignment sa );

PARAMETERS

sa  The state assignment handle.

RETURN VALUES
Returns the boolean value returned by the validation function. It should be CG_TRUE upon success.

Returns CG_TRUE if no callback function was defined.

DESCRIPTION
cgCallStateValidateCallback calls the state validation callback function for the given state assignment. The validation callback will return CG_TRUE or CG_FALSE depending on whether the current hardware and driver support the graphics state set by the state assignment.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

HISTORY
cgCallStateValidateCallback was introduced in Cg 1.4.

SEE ALSO
the cgValidatePassState manpage, the cgSetStateCallbacks manpage, the cgCallStateResetCallback manpage, the cgCallStateValidateCallback manpage